/**************************************************************************
/* This is a simple scripting-example
/*
/* Copyright (c) 2007 by Bernhard Bablok (mail@bablokb.de)
/*
/* This program is free software; you can redistribute it and/or modify
/* it under the terms of the GNU General Public License as published
/* by  the Free Software Foundation; either version 2 of the License or
/* (at your option) any later version.
/*
/* This program is distributed in the hope that it will be useful, but
/* WITHOUT ANY WARRANTY; without even the implied warranty of
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/* GNU General Public License for more details.
/*
/* You should have received a copy of the GNU General Public License
/* along with this program; see the file COPYING.  If not, write to
/* the Free Software Foundation Inc., 59 Temple Place - Suite 330,
/* Boston, MA  02111-1307 USA
/**************************************************************************/

import javax.script.*;

/**
   This is a simple scripting-example.

   @version $Revision: 1.2 $
   @author  $Author: bablokb $
*/

public class HelloTux {

  //////////////////////////////////////////////////////////////////////////////

  /**
     Constructor.
  */

  public HelloTux() {
  }

  //////////////////////////////////////////////////////////////////////////////

  /**
     Print a string using JavaScript.

     @param pManager The ScriptEngineManager
  */

  public void printJavaScript(ScriptEngineManager pManager)
                                                       throws ScriptException {
    ScriptEngine engine = pManager.getEngineByName("JavaScript");
    if (engine != null)
      engine.eval("println('JavaScript: Hello, Tux!')");
  }

  //////////////////////////////////////////////////////////////////////////////

  /**
     Print a string using Jython.

     @param pManager The ScriptEngineManager
  */

  public void printJython(ScriptEngineManager pManager)
                                                       throws ScriptException {
    ScriptEngine engine = pManager.getEngineByName("jython");
    if (engine != null)
      engine.eval("print 'Jython: Hello, Tux!'");
  }

  //////////////////////////////////////////////////////////////////////////////

  /**
     Main method.

     @param args Program arguments (ignored).
  */

  public static void main(String[] args) {
    try {
      ScriptEngineManager manager = new ScriptEngineManager();
      HelloTux obj = new HelloTux();
      obj.printJavaScript(manager);
      obj.printJython(manager);
    } catch (ScriptException e) {
      e.printStackTrace();
    } 
  }
}
